import Actor_Manager from "../../../Actor/Actor_Manager";
import { actor_template_humanoid } from "../../../Actor/Data/Templates/Humanoid/actor_template_humanoid";
export const command_actor = {
    id: "bgs:actor",
    permission: 1,
    async run(command) {
        const argument = command.message.split(" ");
        const entity = command.sourceEntity;
        switch (argument[0]) {
            case "spawn": {
                Actor_Manager.spawn(entity.dimension.id, actor_template_humanoid, entity.location);
                break;
            }
            default: {
                break;
            }
        }
    },
};
